import request from '@/utils/request'

// 查询特种设备叉车台账历史列表
export function listCc(query) {
  return request({
    url: '/his/cc/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备叉车台账历史详细
export function getCc(id) {
  return request({
    url: '/his/cc/' + id,
    method: 'get'
  })
}

// 新增特种设备叉车台账历史
export function addCc(data) {
  return request({
    url: '/his/cc',
    method: 'post',
    data: data
  })
}

// 修改特种设备叉车台账历史
export function updateCc(data) {
  return request({
    url: '/his/cc',
    method: 'put',
    data: data
  })
}

// 删除特种设备叉车台账历史
export function delCc(id) {
  return request({
    url: '/his/cc/' + id,
    method: 'delete'
  })
}

// 导出特种设备叉车台账历史
export function exportCc(query) {
  return request({
    url: '/his/cc/export',
    method: 'get',
    params: query
  })
}
